/***
 * 
 * Felipe Brahm
 * Ayudante de Ctedra
 * Introduccin a la Programacin - IIC1102 Seccin 4
 * Pontificia Universidad Catlica de Chile
 *
 * lebrahm <at> uc <punto> cl
 * ICQ#50566818
 *
 * (CC)2006
 * 
 * */

public class Imagen {

	private int[][] img;
	
	public Imagen(int[][] img) {
		
		this.img = img;
		
	}
	
	/*
	 * Retorna -1 si ocurri un error.
	 * */
	public int getColor(int x, int y) {
		
		/*
		 * Verificamos que la posicin exista.
		 * */
		
		if(x >= img.length)
			return -1;
		if(y >= img[x].length)
			return -1;
		
		return img[x][y];
		
	}
	
	public int[][] getArreglo() {
		
		return img;
		
	}

}